com.unitech.lib.reader.event

## Interface IReaderEventListener

-     public interface IReaderEventListener

  IReaderEventListener is an interface that defines methods to handle various events related to a BaseReader instance. It includes methods for handling changes in the reader's operational state, battery state, key events, connection state, notification state, temperature state, antenna status, LBT status, firmware update progress, and batch data events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAntennaStatus(BaseReader reader, AntennaStatusEventArgs eventArgs, Object params)` Called to report the antenna status of the Device attached to the BaseReader instance before it occurs.
    `void` | `onBatchDataEvent(BaseReader reader, BatchDataStatus status, Object params)` Called to report the batch data event of the Device attached to the BaseReader instance.
    `void` | `onFirmwareUpdateProgress(BaseReader reader, FirmwareUpdateEventArgs firmwareUpdateEventArgs, Object params)` Called to report the firmware update progress of the Device attached to the BaseReader instance.
    `void` | `onLBTStatus(BaseReader reader, LBTStatusEventArgs lbtStatusEventArgs, Object params)` Called to report the LBT status of the Device attached to the BaseReader instance before it occurs.
    `void` | `onNotificationState(NotificationState state, Object params)` Called to notify the state of the Device.
    `void` | `onReaderActionChanged(BaseReader reader, ResultCode retCode, ActionState state, Object params)` Called when the operational state of the Device associated with the BaseReader instance changes.
    `void` | `onReaderBatteryState(BaseReader reader, int batteryState, Object params)` Called to report the battery state of the Device attached to the BaseReader instance before it occurs.
    `void` | `onReaderKeyChanged(BaseReader reader, KeyType type, KeyState state, Object params)` Called to report the key type and state of the Device attached to the BaseReader instance before it occurs.
    `void` | `onReaderStateChanged(BaseReader reader, ConnectState state, Object params)` The BaseTransport instance associated with the BaseReader instance is called when the connection state of the Device changes.
    `void` | `onReaderTemperatureState(BaseReader reader, double temperatureState, Object params)` Called to report the temperature state of the Device attached to the BaseReader instance before it occurs.

- - ### Method Detail

    - #### onReaderActionChanged

          void onReaderActionChanged(BaseReader reader,
                                     ResultCode retCode,
                                     ActionState state,
                                     Object params)

      Called when the operational state of the Device associated with the BaseReader instance changes.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `retCode` - ResultCode enumeration type indicating the operation result of the Device.
        `state` - An ActionState enumeration indicating the device's operational state.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderBatteryState

          void onReaderBatteryState(BaseReader reader,
                                    int batteryState,
                                    Object params)

      Called to report the battery state of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `batteryState` - An integer representing the battery state of the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderKeyChanged

          void onReaderKeyChanged(BaseReader reader,
                                  KeyType type,
                                  KeyState state,
                                  Object params)

      Called to report the key type and state of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `type` - An KeyType enum indicating the Device's Trigger Event.
        `state` - An KeyState enum indicating the Device's Key Event.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderStateChanged

          void onReaderStateChanged(BaseReader reader,
                                    ConnectState state,
                                    Object params)

      The BaseTransport instance associated with the BaseReader instance is called when the connection state of the Device changes.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `state` - A ConnectState enumeration indicating the connection status with the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onNotificationState

          void onNotificationState(NotificationState state,
                                   Object params)

      Called to notify the state of the Device.
      Parameters:
        `state` - A NotificationState enumeration indicating the notification status with the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onReaderTemperatureState

          void onReaderTemperatureState(BaseReader reader,
                                        double temperatureState,
                                        Object params)

      Called to report the temperature state of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `temperatureState` - An double representing the temperature state of the Device.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onAntennaStatus

          void onAntennaStatus(BaseReader reader,
                               AntennaStatusEventArgs eventArgs,
                               Object params)

      Called to report the antenna status of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `eventArgs` - An AntennaStatusEventArgs instance containing the antenna status information.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onLBTStatus

          void onLBTStatus(BaseReader reader,
                           LBTStatusEventArgs lbtStatusEventArgs,
                           Object params)

      Called to report the LBT status of the Device attached to the BaseReader instance before it occurs.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `lbtStatusEventArgs` - An LBTStatusEventArgs instance containing the LBT status information.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onFirmwareUpdateProgress

          void onFirmwareUpdateProgress(BaseReader reader,
                                        FirmwareUpdateEventArgs firmwareUpdateEventArgs,
                                        Object params)

      Called to report the firmware update progress of the Device attached to the BaseReader instance.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `firmwareUpdateEventArgs` - An FirmwareUpdateEventArgs instance containing the firmware update progress information.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.

    - #### onBatchDataEvent

          void onBatchDataEvent(BaseReader reader,
                                BatchDataStatus status,
                                Object params)

      Called to report the batch data event of the Device attached to the BaseReader instance.
      Parameters:
        `reader` - The BaseReader instance that fired the event.
        `status` - The BatchDataStatus indicating the status of the batch data operation.
        `params` - If the event is accompanied by additional information, a non-null value is passed to the instance.